We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
cURL
curl --request PUT \ --url https://api.kinsta.com/v2/sites/environments/{env_id}/themes/bulk-update \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "themes": [ { "name": "twenty-twenty-three" } ] } '
{ "message": "Bulk-updating WordPress themes in progress", "status": 202, "operation_id": "wp-themes:bulk-update-54fb80af-576c-4fdc-ba4f-b596c83f15a1" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Show child attributes
Successfully updated WP themes
"Bulk-updating WordPress themes in progress"
202
"wp-themes:bulk-update-54fb80af-576c-4fdc-ba4f-b596c83f15a1"